import scrapy


class LianjiaSpider(scrapy.Spider):
    name = 'lianjia'
    allowed_domains = ['lianjia.com']
    start_urls = ['https://ty.fang.lianjia.com/loupan/pg{}/'.format(num) for num in range(1,32)]

    def parse(self, response):
        urls = response.xpath('//div[@class="resblock-name"]/a/@href').extract()
        for url in urls:
            yield scrapy.Request(response.urljoin(url),callback=self.parse_info)

    def parse_info(self,response):
        total_price = response.xpath('concat(//div[@class="price"]/span[4]/text(),//div[@class="price"]/span[5]/text())')
        location = response.xpath('//li[@class="info-item"]/span[2]/text()')
        base_info = response.xpath('/html/body/div[2]/div[3]/div[2]/div/div[3]/div[2]/a/@href')
        yield scrapy.Request(response.urljoin(base_info),callback=self.base_info)
    def base_info(self,response):
        buliding_style = response.xpath('/html/body/div[4]/div[1]/ul[3]/li[1]/span[2]/text()')
        mianji = response.xpath('/html/body/div[4]/div[1]/ul[3]/li[3]/span[2]/text()')
        years = response.xpath('/html/body/div[4]/div[1]/ul[3]/li[8]/span[2]/text()')
        lvhua = response.xpath('/html/body/div[4]/div[1]/ul[3]/li[2]/span[2]/text()')
        wuye_style = response.xpath('/html/body/div[4]/div[1]/ul[3]/li[6]/span[2]/text()')